import PrivateClient from '../../clients/types/privateClient';
import ChannelBase from '../channelBase';

var logger = require('../../logger');

class PrivateChannel extends ChannelBase {
  messageTransactionPossible(from: PrivateClient, to: PrivateClient) {
    return (
      to != from &&
      to.roles.includes('receiver') &&
      from.roles.includes('broadcaster')
    )
  }
};

module.exports = PrivateChannel;
export default PrivateChannel;
